PipeWire 1.6.5

Loading...
Searching...
No Matches
pw_device_info Struct Reference
Core API » Device

The device information. More...

`#include <pipewire/device.h>`

## Data Fields
uint32_t | id
| id of the global
uint64_t | change_mask
| bitfield of changed fields since last call
struct spa_param_info * | params
| parameters
uint32_t | n_params
| number of items in params

## Detailed Description

The device information.

Extra information can be added in later versions

## Field Documentation

## ◆ id

uint32_t pw_device_info::id

id of the global

## ◆ change_mask

uint64_t pw_device_info::change_mask

bitfield of changed fields since last call

## ◆ params

struct spa_param_info* pw_device_info::params

parameters

## ◆ n_params

uint32_t pw_device_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- pipewire/device.h